### Method

# Fwupd Client modify_remote

#### Declaration [src]

    gboolean
    fwupd_client_modify_remote (
      FwupdClient* self,
      const gchar* remote_id,
      const gchar* key,
      const gchar* value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Modifies a system remote in a specific way.

NOTE: User authentication may be required to complete this action.

Available since: | 0.9.8

#### Parameters

`remote_id` | `const gchar*`
| The remote ID, e.g. `lvfs-testing`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`key` | `const gchar*`
| The key, e.g. `Enabled`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| The key, e.g. `true`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.